Permalink
Browse files

Update dependencies

Gradle Plugin 3.0.0-rc2
Architecture Components 1.0.0-rc1
Google Play services 11.4.2
Retrofit 2.3.0

Removed unneeded android.arch.lifecycle:runtime dependency - it is already included transitively.

Removed unused lintOptions.abortOnError false call for :wear as it is no longer needed.
  • Loading branch information...
ianhanniballake committed Oct 19, 2017
1 parent 643efae commit 7cbf5a84549c8faabd729008626ef5105322de87
@@ -19,7 +19,6 @@ apply plugin: 'com.android.library'
dependencies {
implementation project(':api')
implementation "com.android.support:support-compat:$rootProject.ext.supportLibraryVersion"
api "android.arch.lifecycle:runtime:$rootProject.ext.lifecycleVersion"
api "android.arch.lifecycle:extensions:$rootProject.ext.lifecycleVersion"
annotationProcessor "android.arch.lifecycle:compiler:$rootProject.ext.lifecycleVersion"
implementation "com.android.support:support-core-ui:$rootProject.ext.supportLibraryVersion"
View
@@ -20,7 +20,7 @@ buildscript {
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.0.0-rc1'
classpath 'com.android.tools.build:gradle:3.0.0-rc2'
classpath 'com.google.gms:google-services:3.1.0'
classpath 'com.google.firebase:firebase-plugins:1.1.1'
}
@@ -39,8 +39,8 @@ ext {
supportLibraryVersion = "26.1.0"
constraintLayoutVersion = "1.0.2"
lifecycleVersion = "1.0.0-beta2"
roomVersion = "1.0.0-beta2"
lifecycleVersion = "1.0.0-rc1"
roomVersion = "1.0.0-rc1"
pagingVersion = "1.0.0-alpha3"
googlePlayServicesVersion = "11.4.2"
wearableVersion = "2.0.5"
@@ -17,8 +17,8 @@
apply plugin: 'com.android.application'
dependencies {
implementation "com.squareup.retrofit2:retrofit:2.1.0"
implementation "com.squareup.retrofit2:converter-gson:2.1.0"
implementation "com.squareup.retrofit2:retrofit:2.3.0"
implementation "com.squareup.retrofit2:converter-gson:2.3.0"
//implementation "com.google.android.apps.muzei:muzei-api:+"
implementation project(':api')
}
View
@@ -100,7 +100,6 @@ dependencies {
implementation "com.android.support:design:$rootProject.ext.supportLibraryVersion"
implementation "com.android.support:customtabs:$rootProject.ext.supportLibraryVersion"
implementation "com.android.support:exifinterface:$rootProject.ext.supportLibraryVersion"
implementation "android.arch.lifecycle:runtime:$rootProject.ext.lifecycleVersion"
implementation "android.arch.lifecycle:extensions:$rootProject.ext.lifecycleVersion"
annotationProcessor "android.arch.lifecycle:compiler:$rootProject.ext.lifecycleVersion"
@@ -25,7 +25,6 @@ dependencies {
implementation "com.android.support:recyclerview-v7:$rootProject.ext.supportLibraryVersion"
implementation "com.android.support.constraint:constraint-layout:$rootProject.ext.constraintLayoutVersion"
implementation "com.android.support:exifinterface:$rootProject.ext.supportLibraryVersion"
api "android.arch.lifecycle:runtime:$rootProject.ext.lifecycleVersion"
api "android.arch.lifecycle:extensions:$rootProject.ext.lifecycleVersion"
annotationProcessor "android.arch.lifecycle:compiler:$rootProject.ext.lifecycleVersion"
api "android.arch.persistence.room:runtime:$rootProject.ext.roomVersion"
View
@@ -73,12 +73,6 @@ android {
sourceCompatibility JavaVersion.VERSION_1_7
targetCompatibility JavaVersion.VERSION_1_7
}
lintOptions {
// Needed until 3.0.0-alpha4 is released per https://issuetracker.google.com/issues/62318360
abortOnError false
}
}
dependencies {

0 comments on commit 7cbf5a8

Please sign in to comment.